Package org.apache.cxf.bus.blueprint

# Class BlueprintBus

java.lang.Object
org.apache.cxf.interceptor.AbstractBasicInterceptorProvider
org.apache.cxf.bus.extension.ExtensionManagerBus
org.apache.cxf.bus.blueprint.BlueprintBus

All Implemented Interfaces:
  `Bus`, `InterceptorProvider`

public class BlueprintBus extends ExtensionManagerBus

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

  `ExtensionManagerBus.ExtensionFinder`

  ## Nested classes/interfaces inherited from interface org.apache.cxf.Bus

  `Bus.BusState`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

  `BUS_PROPERTY_NAME, extensions, id, missingExtensions`

  ### Fields inherited from interface org.apache.cxf.Bus

  `DEFAULT_BUS_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlueprintBus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `void`
  `setBlueprintContainer(org.osgi.service.blueprint.container.BlueprintContainer con)`
  `void`
  `setBundleContext(org.osgi.framework.BundleContext c)`

  ### Methods inherited from class org.apache.cxf.bus.extension.ExtensionManagerBus

  `createConfiguredBeanLocator, destroyBeans, doInitializeInternal, getExtension, getFeatures, getProperties, getProperty, getState, hasExtensionByName, initialize, initializeFeatures, loadAdditionalFeatures, setExtension, setFeatures, setId, setProperties, setProperty, setState, shutdown, shutdown`

  ### Methods inherited from class org.apache.cxf.interceptor.AbstractBasicInterceptorProvider

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- ## Constructor Details

  - ### BlueprintBus

    public BlueprintBus()

- ## Method Details

  - ### setBundleContext

    public void setBundleContext(org.osgi.framework.BundleContext c)

  - ### setBlueprintContainer

    public void setBlueprintContainer(org.osgi.service.blueprint.container.BlueprintContainer con)

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `Bus`
    Overrides:
      `getId` in class `ExtensionManagerBus`